Subject: Re: [PATCH] [PATCH net v2]vexy: Fix a use-after-free bug in vxge-main.c

From: Jakub Kicinski <[email-masked]>
Date: Mon, 20 Jun 2022 08:02:16 -0700

On Mon, 20 Jun 2022 10:40:16 -0400 Jon Mason wrote:
> On Wed, Jun 15, 2022 at 07:50:50PM -0700, Jakub Kicinski wrote:
> > Jon, if you're there, do you have any sense on whether this HW is still
> > in production somewhere? I scrolled thru last 5 years of the git history
> > and there doesn't seem to be any meaningful change here while there's a
> > significant volume of refactoring going in.   
> 
> Neterion was killed off by Exar after acquiring it roughly a decade
> ago.  To my knowledge no one ever acquired the IP.  So, this should be
> viewed as an EOL'ed part.  It is a mature driver and I believe there are
> parts out in the field still.  So, no need to kill off the driver.

There is a real cost to maintaining this driver, refactoring it and
dealing with all the poor quality fixes it attracts.